<?php
/**
 * Barn2 Product Table Data
 *
 * @package     Barn2\Plugin\WC_Lead_Time\Integration
 * @subpackage  Product_Table_Data_Lead_Time
 * @author    	Barn2 Media <info@barn2.co.uk>
 * @license     GPL-3.0
 * @copyright	Barn2 Media Ltd
 */

namespace Barn2\Plugin\WC_Lead_Time\Integration;

use Abstract_Product_Table_Data;
use WC_Product;
use Barn2\Plugin\WC_Lead_Time\Display;

// Prevent direct file access
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( ! class_exists( 'Abstract_Product_Table_Data' ) ) {
	return;
}

class Product_Table_Data_Lead_Time extends Abstract_Product_Table_Data {
    public function __construct( WC_Product $product ) {
		parent::__construct( $product, '' );
	}

    public function get_data() {
        // Retrieve the lead time
        $lead_time = Display::get_lead_time( $this->product );

        // Return the lead time.
        return apply_filters( 'wc_product_table_data_lead_time', $lead_time, $this->product );
    }
}
