<?php

/**
 * Barn2 Product Table Integration
 *
 * @package     Barn2\Plugin\WC_Lead_Time\Integration
 * @subpackage  Abstract_Product_Table_Data
 * @author    	Barn2 Media <info@barn2.co.uk>
 * @license     GPL-3.0
 * @copyright	Barn2 Media Ltd
 */
namespace Barn2\Plugin\WC_Lead_Time\Integration;

use Barn2\Lib\Registerable;
use Barn2\Lib\Util;

class Product_Table_Integration implements Registerable {

    public function register() {
        if ( ! Util::is_product_table_active() ) {
            return;
        }

        // Register product table data for 'lead-time' column.
        add_filter( 'wc_product_table_custom_table_data_lead-time', array( $this, 'get_lead_time_data' ), 10, 3 );
    }

    public function get_lead_time_data( $data, $product, $args ) {
        return new Product_Table_Data_Lead_Time( $product );
    }

}
